From da88faa49b6f404a3e2adc0d2e75b1404be28cff Mon Sep 17 00:00:00 2001
From: Peter De Wachter <pdewacht@gmail.com>
Date: Tue, 12 May 2015 23:42:02 +0200
Subject: [PATCH 5/5] dropprivs(): add error checking

---
 file.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/file.c b/file.c
index d3ece9a..577795d 100644
--- a/file.c
+++ b/file.c
@@ -83,8 +83,16 @@ FILE* find_config(int op)
 void dropprivs()
 {
 #ifndef _WIN32
-    setregid(getgid(), getgid());
-    setreuid(getuid(), getuid());
+    if (setregid(getgid(), getgid()) != 0)
+    {
+        fprintf(stderr, "setregid failed\n");
+        exit(1);
+    }
+    if (setreuid(getuid(), getuid()) != 0)
+    {
+        fprintf(stderr, "setreuid failed\n");
+        exit(1);
+    }
 #endif
 }
 
-- 
2.1.4

